#include "color.h"
#include "computerlf.h"
using namespace std;

Move ComputerLF::askForMove(const Board& board)
{
   for (int row = 2; ; --row)
   {
      for (int col = 2; col >= 0; --col)
      {
         if (board.isFree(col, row))
         {
            return { col, row, getColor() };
         }
      }
   }
}
